XmCreateRadioBox(3Xm)

NAME
XmCreateRadioBox — a RowColumn widget convenience creation function.

SYNOPSIS
#include <Xm/RowColumn.h>

Widget XmCreateRadioBox (parent, name, arglist, argcount)
    Widget    parent;
    String    name;
    ArgList    arglist;
    Cardinal    argcount;

DESCRIPTION
XmCreateRadioBox creates an instance of a RowColumn widget of type XmWORK_AREA and returns the associated widget ID. Typically, this is a composite widget that contains multiple ToggleButtonGadgets. The RadioBox arbitrates and ensures that at most one ToggleButtonGadget is on at any given time.

The ToggleButtons are forced to have the resources XmNindicatorType set to XmONE_OF_MANY and XmNvisibleWhenOff set to True.

It is provided as a convenience function for creating RowColumn widgets.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

arglist
    Specifies the argument list.

argcount
    Specifies the number of attribute/value pairs in the argument list (arglist).

For a complete definition of RowColumn and its associated resources, see XmRowColumn(3Xm).

RETURN VALUE
Returns the RowColumn widget ID.

RELATED INFORMATION
XmRowColumn(3Xm).